#!/bin/sh
# Mime Types for xFileMount rev2 by wow - Jan 4, 2007
# added support for ROX-Filer 2.5(Puppy-2.13)
# maybe it works with gnome, untested

MSG=`which gxmessage` || MSG=xmessage

#######install files to /
MYDIR=`pwd`
cd /
tar -xjP --no-same-owner -f "$MYDIR/dotpup.tar.bz2"

#######insert new mime types to database
#if ! grep 'xfilemount/ext3:*.3fs' /usr/share/mime/globs > /dev/null
if ! grep 'xfilemount' /usr/share/mime/globs > /dev/null
then
  cat /usr/share/mime/newtypes.temp >> /usr/share/mime/globs
fi
rm -f /usr/share/mime/newtypes.temp

#######final message
exec $MSG -center -default okay -title "Installer" "
Mime Types for xFileMount rev2 are installed

Usage:
- Click on file types: .fs, .sfs, .squashfs, .sqfs .2fs, .3fs, .iso, .img
  to mount/unmount them.

Requires:	
- xFileMount

___________________________
DotPup by wow - Jan 4, 2007
"
